package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxActivitySearchHistory struct {
	Id                 int `orm:"column(id);pk"`
	UserId             int
	CreateTime         time.Time
	Mobile             string `description:"手机号"`
	CompanyId          int    `description:"公司id"`
	CompanyName        string `description:"公司名称"`
	ChartPermissionIds string `description:"表chart_permission中id"`
	WhichDay           string `description:"是否属于新标签，1是，0否"`
	IsPower            int    `description:"是否属于深标签，1是，0否"`
}

//添加
func AddCygxActivitySearchHistory(item *CygxActivitySearchHistory) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}
